
Selene J2EE Webapp - Errores #126

Extend SESI.URIPREG to 250 characters

05/08/2018 06:45 AM - Jesús Freire

Status: Cerrada Start date: 05/01/2018

Priority: Normal Due date: 06/06/2018

Assignee: Jesús Freire % Done: 100%

Category:  Estimated time: 1:00 hour

Target version: 0.0.1 Spent time: 0:00 hour

Puntos de historia: 0   

Description

When PasarelaServlet initialize a session, it's throwing the following exception:

Atributo obligatorio

java.beans.PropertyVetoException: URIPREG DEMASIADO LARGO (MAX.: 30, VALOR: '/selene-j2ee-webapp/PasarelaServlet')

at net.bersus.selene.clases.aut.Sesion.setUripreg(Sesion.java:3592)

So, it's neccesary to extend the column URIPREG of the class SESI.

250 character would be a good size for this column.

Change it into OBJM and generate new wrappers for the class SESI.

Change the size of the column into the database with the following SQL instruction:

alter table sesi alter column uripreg type character varying(250)

History

#1 - 05/08/2018 11:55 AM - Jesús Freire

- Description updated

- Status changed from Nueva to En curso

- Assignee set to Jesús Freire

#2 - 05/08/2018 08:24 PM - Jesús Freire

- Tracker changed from Tareas to Errores

#3 - 05/08/2018 09:19 PM - Jesús Freire

- Target version changed from 0.0.4 to 0.0.5

- % Done changed from 10 to 20

#4 - 05/10/2018 06:21 AM - Jesús Freire

- Project changed from Selene Model to Selene J2EE Webapp

- Target version deleted (0.0.5)

#5 - 06/06/2018 11:15 AM - Jesús Freire

- Due date set to 06/06/2018

- Status changed from En curso to Cerrada

- Start date set to 05/01/2018

- % Done changed from 20 to 100

#6 - 06/06/2018 11:15 AM - Jesús Freire

- Target version set to 0.0.1
